using Microsoft.Data.Sqlite;

namespace Journal.Core.Services.Database;

public interface IDatabaseSessionService
{
    bool IsUnlocked { get; }
    void SetPassword(string password);
    bool TryGetSession(out string password);
    SqliteConnection GetConnection();
    void CloseConnection();
}
